/build/static/layout/Breadcrumb_cap_w.png

SMA v12 and previous agents

I am preparing to update an SMA from v11.1.263 to v12.0.149 and while reading the release notes, became a bit confused about the following statement:

"Starting in version 12.0 of the appliance, earlier KACE Agent versions, such as 11.1, must be signed specifically for your appliance version. For example, if you are using KACE Agent 11.1 with the 12.0 version of the appliance, you must obtain and install the KACE Agent 11.1 KBIN file that is signed with the 12.0 appliance key. You can download signed KACE Agent KBIN files from the KACE Systems Management Appliance Software Downloads page."

Is this solely in reference to the agent bundle you have installed on the SMA or does this mean that to talk with the SMA, every client running an agent immediately needs an update to a special signed 11.1 agent or upgrade to 12?


0 Comments   [ + ] Show comments

Answers (2)

Answer Summary:
Posted by: Hobbsy 3 months ago
Red Belt
1

I think you may be over thinking it a touch, although I am always willing to be told I am wrong.


I suggest you update your appliance then just go to the agent updates and your appliance should download the correct version of the agent needed and you can distribute using the update agents function.


Just beware of making sure that you don’t have any older versions of the agent before you start that process, if you do, do your best to update them to 11.x first or setup your GPO to uninstall and reinstall.


Comments:
  • Yes, I am probably over thinking it. I just don't recall that message in past release notes. Wanted to be sure I don't do the upgrade and suddenly have a fire drill moment for the team because communication is broken on all the 11.x agents.

    We plan to update agents to v12 within the two weeks following SMA upgrade. - nick.wood 3 months ago
Posted by: gchoi 1 week ago
White Belt
0

I was wondering if the v12 upgrade worked out for you? did the v11 agent talk to the v12 SMA?

I'm in a similar situation where I'm using v11 and need to upgrade to v12, but I have remote machines that won't be able to get the new agent without the old agent communicating. If v11 agents can't talk to v12 appliance, I'll need to spin up a new v12 appliance at the same time as the v11 appliance to get the v11 agents updated. 


Comments:
  • V11 agents will talk to a v12 SMA, update the appliance, then update the agents. - Hobbsy 1 week ago
  • Yes, as @Hobbsy said, our v11 agents worked fine with SMA v12.0.x. We have updated the agents to v12.0.x and are preparing to move to SMA v12.1.x with the next agent bundle in the coming weeks. - nick.wood 2 days ago
 
This website uses cookies. By continuing to use this site and/or clicking the "Accept" button you are providing consent Quest Software and its affiliates do NOT sell the Personal Data you provide to us either when you register on our websites or when you do business with us. For more information about our Privacy Policy and our data protection efforts, please visit GDPR-HQ